Package org.python.core

# Class PyBuiltinCallable.DefaultInfo

java.lang.Object
org.python.core.PyBuiltinCallable.DefaultInfo

All Implemented Interfaces:
  `Serializable`, `PyBuiltinCallable.Info`

Enclosing class:
  PyBuiltinCallable

public static class PyBuiltinCallable.DefaultInfo extends Object implements PyBuiltinCallable.Info

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DefaultInfo(String name)`
`DefaultInfo(String name, int minargs, int maxargs)`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`check(int nargs, int minargs, int maxargs)`
`int`
`getMaxargs()`
`int`
`getMinargs()`
`String`
`getName()`
`PyException`
`unexpectedCall(int nargs, boolean keywords)`
`static PyException`
`unexpectedCall(int nargs, boolean keywords, String name, int minargs, int maxargs)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultInfo

public DefaultInfo(String name, int minargs, int maxargs)

### DefaultInfo

public DefaultInfo(String name)

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `PyBuiltinCallable.Info`

### getMaxargs

public int getMaxargs()

Specified by:
  `getMaxargs` in interface `PyBuiltinCallable.Info`

### getMinargs

public int getMinargs()

Specified by:
  `getMinargs` in interface `PyBuiltinCallable.Info`

### check

public static boolean check(int nargs, int minargs, int maxargs)

### unexpectedCall

public static PyException unexpectedCall(int nargs, boolean keywords, String name, int minargs, int maxargs)

### unexpectedCall

public PyException unexpectedCall(int nargs, boolean keywords)

Specified by:
  `unexpectedCall` in interface `PyBuiltinCallable.Info`